<template>
  <ul>
    <li class="crime" v-for="crime in apidata" :key="crime.id">
      <CrimeInfo :city="crime.location.city" :description="crime.description" :time="crime.time" :title="crime.title" :motiv="crime.motive.name" :sources="crime.sources" :originurl="crime.origin.url" :origin="crime.origin.name"></CrimeInfo>
    </li>
  </ul>
</template>

<style scoped>
ul li {
  list-style-type: none;
}
ul {
  padding-left: 0 !important;
}
</style>
<style>
h2 {
  margin-top: 1.2em;
}
</style>

<script>
import apirequest from '@/controller/apirequest.js'
import CrimeInfo from "@/components/CrimeInfo";


export default {
  name: "List",
  components: {CrimeInfo},
  data() {
    return {
      apidata: []
    }
  },
  methods: {
    loadData () {
      apirequest.crimedata().then(apidata => {
        this.apidata = apidata
      })
    }
  },
  beforeMount() {
    this.loadData()
  }
}
</script>
